/** @file scim_hangul_private.h
 */

/*
 * Smart Common Input Method
 * 
 * Copyright (C) 2004-2006 Choe Hwanjin
 * Copyright (c) 2004-2006 James Su <suzhe@tsinghua.org.cn>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * $Id: scim_hangul_imengine.cpp,v 1.8 2006/02/05 15:17:17 hwanjin Exp $
 */
#ifndef __SCIM_HANGUL_PRIVATE_H__
#define __SCIM_HANGUL_PRIVATE_H__


/* configuration keys */
#define SCIM_CONFIG_IMENGINE_HANGUL_SHOW_CANDIDATE_COMMENT      "/IMEngine/Hangul/ShowCandidateComment"
#define SCIM_CONFIG_IMENGINE_HANGUL_USE_ASCII_MODE		"/IMEngine/Hangul/UseASCIIMode"
#define SCIM_CONFIG_IMENGINE_HANGUL_HANGUL_HANJA_KEY            "/IMEngine/Hangul/HangulHanjaKey"
#define SCIM_CONFIG_IMENGINE_HANGUL_USE_DVORAK                  "/IMEngine/Hangul/UseDvorak"
#define SCIM_CONFIG_IMENGINE_HANGUL_ON_OFF_KEY			"/IMEngine/Hangul/OnOffKey"
#define SCIM_CONFIG_IMENGINE_HANGUL_INPUT_LAYOUT		"/IMEngine/Hangul/InputLayout"
#define SCIM_CONFIG_IMENGINE_HANGUL_HIDE_LAYOUT			"/IMEngine/Hangul/HideLayout"

#define SCIM_CONFIG_PANEL_LOOKUP_TABLE_VERTICAL			"/Panel/Gtk/LookupTableVertical"

/* default values */
#define SCIM_CONFIG_IMENGINE_HANGUL_USE_ASCII_MODE_DEFAULT	false
#define SCIM_CONFIG_IMENGINE_HANGUL_HANGUL_HANJA_KEY_DEFAULT	"Hangul_Hanja,Control+Control_R+KeyRelease,F9"
#define SCIM_CONFIG_IMENGINE_HANGUL_ON_OFF_KEY_DEFAULT		"Alt+Alt_R+KeyRelease,Shift+space"
#define SCIM_CONFIG_IMENGINE_HANGUL_INPUT_LAYOUT_DEFAULT	"2bul"
#define SCIM_CONFIG_IMENGINE_HANGUL_HIDE_LAYOUT_DEFAULT		false


typedef enum {
	SCIM_HANGUL_INPUT_LAYOUT_2BUL,
	SCIM_HANGUL_INPUT_LAYOUT_3BUL_2BUL_SHIFTED,
	SCIM_HANGUL_INPUT_LAYOUT_3BUL_390,
	SCIM_HANGUL_INPUT_LAYOUT_3BUL_FINAL,
	SCIM_HANGUL_INPUT_LAYOUT_3BUL_NO_SHIFT,
	SCIM_HANGUL_INPUT_LAYOUT_3BUL_YETGEUL,
} InputLayout;


#endif /* __SCIM_HANGUL_PRIVATE_H__ */
